Mailinglist Archive: opensuse-buildservice (209 mails)

< Previous Next >
Re: [opensuse-buildservice] Re: Distro changes

----- "Adrian Schröter" <adrian@xxxxxxx> wrote:
> On Tuesday 12 June 2007 08:27:21 wrote Adrian Schröter:
> > Hi,
> >
> > I have just added a Fedora:7/standard repository. It seems to work
> so far
> > but needs some more testing ...

Both i386 and x86_64 build fine for me.

> >
> > Fedora:Extras6 got updated to the current state.
> >
> > Mandriva:2007 got imported already a while ago, but it is not
> working yet.
> > If someone has time to find out why the glibc %post fails on build
> setup
> > ... ;)
> 

The above doesn't quite explain why I get an expansion error when trying to build against Mandriva 2007.  I'm trying to build against both 2006 and 2007, but for some reason only the Mandriva 2006 'Build Requires' is read and the BS complains of expansion errors.  I have the following in my spec:

%if 0%{?mandriva_version} == 2006
BuildRequires:  libgnutls11-devel libgnutls11 ... ...
%endif
%if 0%{?mandriva_version} == 2007
BuildRequires:  libgnutls13-devel libgnutls13 ... ...
%endif

The expansion error on 2007 is "nothing provides libgnutls11-devel, nothing provides libgnutls11" not surprising as they have been replaced as you can see.  Any ideas would be appreciated.

Thanks,

Andy (and the rest of the Bongo team)

-- 
Andrew Wafaa
Tel: +44 (0)7974 074546
e-Mail: andrew@xxxxxxxxxx

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
References